Foxit PDF SDK

Instance Methods | Properties | List of all members
FSDefaultAppearance Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithDefault_appearance:
| Constructor, with another default appearance object. More...
(id) | - initWithFlags:font:text_size:text_color:
| Constructor, with parameters. More...
(void) | - set:font:text_size:text_color:
| Set value. More...

## Properties
unsigned int | flags
| Flags to indicate which properties of default appearance are meaningful. More...
FSFont * | font
| A font for default appearance. It should be a valid font object when it is useful. More...
unsigned int | text_color
| Text color for default appearance. Format: 0xRRGGBB. More...
float | text_size
| Text size for default appearance. More...

## Detailed Description

This class represents default appearance data, which is used for free text annotation and form.

## Method Documentation

## ◆ initWithDefault_appearance:()

- (id) initWithDefault_appearance: |  | (FSDefaultAppearance*) | default_appearance |

Constructor, with another default appearance object.

Parameters

  [in] | default_appearance | Another default appearance object.

## ◆ initWithFlags:font:text_size:text_color:()

- (id) initWithFlags: |  | (unsigned int) | flags
font: |  | (FSFont*) | font
text_size: |  | (float) | text_size
text_color: |  | (unsigned int) | text_color

Constructor, with parameters.

Parameters

  [in] | flags | Flags to indicate which properties of default appearance are meaningful. Please refer to values starting from FSDefaultAppearanceFlagFont and this can be one or a combination of these values.
  [in] | font | A valid font object for default appearance when parameter flags includes FSDefaultAppearanceFlagFont.
  [in] | text_size | Font size for default appearance when parameter flags includes FSDefaultAppearanceFlagFontSize. Usually it should be above 0. For some objects, the size 0 has special meaning. Please refer to the comment of functions which are used to set default appearance data to other object.
  [in] | text_color | Text color for default appearance. Format: 0xRRGGBB.

## ◆ set:font:text_size:text_color:()

- (void) set: |  | (unsigned int) | flags
font: |  | (FSFont*) | font
text_size: |  | (float) | text_size
text_color: |  | (unsigned int) | text_color

Set value.

Parameters

  [in] | flags | Flags to indicate which properties of default appearance are meaningful. Please refer to values starting from FSDefaultAppearanceFlagFont and this can be one or a combination of these values.
  [in] | font | A font for default appearance. Please ensure this is a valid font object when parameter flags includes FSDefaultAppearanceFlagFont.
  [in] | text_size | Font size for default appearance when parameter flags includes FSDefaultAppearanceFlagFontSize. Usually it should be above 0. For some objects, the size 0 has special meaning. Please refer to the comment of functions which are used to set default appearance data to other object.
  [in] | text_color | Text color for default appearance. Format: 0xRRGGBB.

Returns
  None.

## Property Documentation

## ◆ flags

- (unsigned int) flags
| read write nonatomic assign

Flags to indicate which properties of default appearance are meaningful.

Please refer to values starting from FSDefaultAppearanceFlagFont and this can be one or a combination of these values. 0 means no property of default appearance is meaningful.

## ◆ font

- (FSFont *) font
| read write nonatomic weak

A font for default appearance. It should be a valid font object when it is useful.

Note
  Useful only when flags of current object includes FSDefaultAppearanceFlagFont.

## ◆ text_color

- (unsigned int) text_color
| read write nonatomic assign

Text color for default appearance. Format: 0xRRGGBB.

Note
  Useful only when flags of current object includes FSDefaultAppearanceFlagTextColor.

## ◆ text_size

- (float) text_size
| read write nonatomic assign

Text size for default appearance.

Usually it should be above 0 when it is useful. For some objects, the size 0 has special meaning. Please refer to the comment of functions which are used to set default appearance data to other object.

Note
  Useful only when flags of current object includes FSDefaultAppearanceFlagFontSize.